#pragma once

#include "CoreMinimal.h"
#include "DBDDangerPredictionComponent.h"
#include "K38DogDangerPredictionComponent.generated.h"

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class THEK38_API UK38DogDangerPredictionComponent : public UDBDDangerPredictionComponent
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float DashDodgeRange;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float DashRelevantRangeMargin;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float PatrolDangerRangeMargin;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float PatrolRelevantRangeMargin;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float PatrolAudibleRange;

public:
	UK38DogDangerPredictionComponent();
};

FORCEINLINE uint32 GetTypeHash(const UK38DogDangerPredictionComponent) { return 0; }
